Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class LoginIpManager

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.LoginIpManager

    public class LoginIpManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LoginIpManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `checkIpAddrList​(int lid, java.lang.String values)` | Проверяет занятость списка IP-адресов другими логинами.
  `void` | `checkIpAddrList​(int lid, java.util.List<IpAddr> ipAddrList)` | Проверяет список адресов на конфликты с другими логинами.
  `java.util.List<IpAddr>` | `getAllLoginsIps​(int lid)` | Список ip адресов назначенных для данных логина.
  `static java.util.List<IpAddr>` | `getIpAddrList​(java.lang.String values)` | Парсит список адресов из строки.
  `java.util.List<java.lang.Long>` | `getLoginIps​(int lid, java.lang.String realm)` | Список ip адресов назначенных для данных логина и реалма.
  `java.util.HashMap<java.lang.String,​java.util.List<java.lang.Long>>` | `getLoginsIps​(int lid)` | Список ip адресов назначенных для данных логина.
  `java.util.Map<java.lang.Integer,​java.util.List<IpAddr>>` | `getRealtimeAddressMap()` | Возвращает мам с ключом кодом логина и значением - списком адресов, которые уже установлены или будут установлены в дальнейшем.
  `void` | `updateLoginIps​(int lid, java.lang.String values)` | Обновляет значения IP-адресов для логина.
  `void` | `updateLoginIps​(int lid, java.util.List<IpAddr> ipList)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoginIpManager

    public LoginIpManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getLoginIps

    public java.util.List<java.lang.Long> getLoginIps​(int lid, java.lang.String realm)
    Список ip адресов назначенных для данных логина и реалма.
    Parameters:
      `lid` -
      `realm` -
    Returns:
      список ip, если кол-во 0, то пустой список

  - ### getLoginsIps

    public java.util.HashMap<java.lang.String,​java.util.List<java.lang.Long>> getLoginsIps​(int lid)
    Список ip адресов назначенных для данных логина. ключ - Реалм, значение - Список логинов
    Parameters:
      `lid` -
      `realm` -
    Returns:
      список ip, если кол-во 0, то пустой список

  - ### getAllLoginsIps

    public java.util.List<IpAddr> getAllLoginsIps​(int lid)
    Список ip адресов назначенных для данных логина.
    Parameters:
      `lid` -
      `realm` -
    Returns:
      список ip, если кол-во 0, то пустой список

  - ### getIpAddrList

    public static java.util.List<IpAddr> getIpAddrList​(java.lang.String values) throws ru.bitel.bgbilling.common.BGException
    Парсит список адресов из строки.
    Parameters:
      `values` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkIpAddrList

    public void checkIpAddrList​(int lid, java.util.List<IpAddr> ipAddrList) throws ru.bitel.bgbilling.common.BGException
    Проверяет список адресов на конфликты с другими логинами.
    Parameters:
      `lid` - код логина
      `ipAddrList` - список адресов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkIpAddrList

    public void checkIpAddrList​(int lid, java.lang.String values) throws ru.bitel.bgbilling.common.BGException
    Проверяет занятость списка IP-адресов другими логинами.
    Parameters:
      `lid` - код логина
      `values` - значения
    Throws:
      `ru.bitel.bgbilling.common.BGException` - в случае, если IP занят

  - ### updateLoginIps

    public void updateLoginIps​(int lid, java.lang.String values) throws ru.bitel.bgbilling.common.BGException
    Обновляет значения IP-адресов для логина.
    Parameters:
      `lid` - код логина
      `values` - новые значения
    Throws:
      `ru.bitel.bgbilling.common.BGException` - в случае, если IP занят

  - ### updateLoginIps

    public void updateLoginIps​(int lid, java.util.List<IpAddr> ipList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRealtimeAddressMap

    public java.util.Map<java.lang.Integer,​java.util.List<IpAddr>> getRealtimeAddressMap() throws ru.bitel.bgbilling.common.BGException
    Возвращает мам с ключом кодом логина и значением - списком адресов, которые уже установлены или будут установлены в дальнейшем.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`